# Created by pyp2rpm-3.3.5
%global pypi_name dotty-dict
%global github_name dotty_dict
%global github_user pawelzny

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        1%{?dist}.3
Summary:        Dictionary wrapper for quick access to deeply nested keys

License:        MIT
URL:            https://github.com/${github_user}/%{github_name}
Source0:        https://github.com/%{github_user}/%{github_name}/archive/v%{version}/%{github_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)

%description
Dictionary wrapper for quick access to deeply nested keys.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Dictionary wrapper for quick access to deeply nested keys.


%prep
%autosetup -n %{github_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{_bindir}/pytest-3

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{github_name}
%{python3_sitelib}/%{github_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Sun Mar 14 2021 Oleg Girko <ol@infoserver.lv> - 1.3.0-1
- Initial package.
